List annotation queue records
curl --request GET \
--url https://api.arize.com/v2/annotation-queues/{annotation_queue_id}/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/annotation-queues/{annotation_queue_id}/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/annotation-queues/{annotation_queue_id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"id": "aqr_001",
"annotation_queue_id": "aq_abc123",
"source_type": "SPANS",
"data": {
"input": "What is the capital of France?",
"output": "Paris"
},
"annotations": [
{
"name": "accuracy",
"label": "correct",
"score": 1,
"annotator": {
"id": "usr_123",
"email": "reviewer@example.com"
}
},
{
"name": "quality",
"label": "good",
"score": 0.95,
"annotator": {
"id": "usr_123",
"email": "reviewer@example.com"
}
}
],
"trace_annotations": [
{
"name": "helpfulness",
"label": "helpful",
"annotator": {
"id": "usr_123",
"email": "reviewer@example.com"
}
}
],
"evaluations": [
{
"name": "relevance",
"label": "relevant",
"score": 0.95,
"explanation": "The response directly answers the question"
}
],
"assigned_users": [
{
"user": {
"id": "usr_123",
"email": "reviewer@example.com"
},
"completion_status": "COMPLETED"
}
]
}
],
"pagination": {
"next_cursor": "cursor_12345",
"has_more": true
}
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Annotation Queues
List annotation queue records
List the records in an annotation queue with their data and annotations.
Each record includes:
- The record’s data as flat key-value pairs
- Any annotations that have been added to the record
- The users assigned to annotate the record and their completion status
- The record’s granularity, applicable when the source type is spans
Pagination:
- Response includes
paginationwithhas_moreandnext_cursor. - Use cursor-based pagination by passing the returned
next_cursorvalue as thecursorquery parameter in subsequent requests.
This endpoint is in beta, read more here.
GET
/
v2
/
annotation-queues
/
{annotation_queue_id}
/
records
List annotation queue records
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique annotation queue identifier (base64) A universally unique identifier (base64-encoded opaque string).
Example:
"RW50aXR5OjEyMzQ1"
Query Parameters
Opaque pagination cursor returned from a previous response
(pagination.next_cursor). Treat it as an unreadable token; do not
attempt to parse or construct it.
Maximum items to return
Required range:
1 <= x <= 500Was this page helpful?
⌘I